# Class DateTimeAtCompleted

java.lang.Object
javax.print.attribute.DateTimeSyntax
javax.print.attribute.standard.DateTimeAtCompleted

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute`

public final class DateTimeAtCompleted extends DateTimeSyntax implements PrintJobAttribute
Class `DateTimeAtCompleted` is a printing attribute class, a date-time attribute, that indicates the date and time at which the Print Job completed (or was canceled or aborted).

To construct a `DateTimeAtCompleted` attribute from separate values of the year, month, day, hour, minute, and so on, use a `Calendar` object to construct a `Date` object, then use the `Date` object to construct the DateTimeAtCompleted attribute. To convert a `DateTimeAtCompleted` attribute to separate values of the year, month, day, hour, minute, and so on, create a `Calendar` object and set it to the `Date` from the `DateTimeAtCompleted` attribute.

IPP Compatibility: The information needed to construct an IPP "date-time-at-completed" attribute can be obtained as described above. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateTimeAtCompleted(Date dateTime)`
  Construct a new date-time at completed attribute with the given `Date` value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this date-time at completed attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class DateTimeSyntax

  `getValue, hashCode, toString`
  Modifier and Type
  Method
  Description
  `Date`
  `getValue()`
  Returns this date-time attribute's `java.util.Date` value.
  `int`
  `hashCode()`
  Returns a hash code value for this date-time attribute.
  `String`
  `toString()`
  Returns a string value corresponding to this date-time attribute.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DateTimeAtCompleted

    public DateTimeAtCompleted(Date dateTime)
    Construct a new date-time at completed attribute with the given `Date` value.
    Parameters:
      `dateTime` - `Date` value
    Throws:
      `NullPointerException` - if `dateTime` is `null`

- ## Method Details

  - ### equals

    public boolean equals(Object object)
    Returns whether this date-time at completed attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `DateTimeAtCompleted`.
    3. This date-time at completed attribute's `Date` value and `object`'s `Date` value are equal.
    Overrides:
      `equals` in class `DateTimeSyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this date-time at completed attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `DateTimeAtCompleted`, the category is class `DateTimeAtCompleted` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `DateTimeAtCompleted`, the category name is `"date-time-at-completed"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name